WP6CharacterGroup_TableDefinitionOnSubGroup Class Reference documentation

Public Member Functions | Private Attributes | List of all members
WP6CharacterGroup_TableDefinitionOnSubGroup Class Reference

`#include <WP6CharacterGroup.h>`

Inheritance diagram for WP6CharacterGroup_TableDefinitionOnSubGroup:

## Public Member Functions
| WP6CharacterGroup_TableDefinitionOnSubGroup (librevenge::RVNGInputStream *input, WPXEncryption *encryption)
void | parse (WP6Listener *listener, const unsigned char numPrefixIDs, unsigned short const *prefixIDs) const override
Public Member Functions inherited from WP6VariableLengthGroup_SubGroup
virtual | ~WP6VariableLengthGroup_SubGroup ()

## Private Attributes
unsigned char | m_flags
unsigned char | m_position
unsigned short | m_leftOffset

## Constructor & Destructor Documentation

## ◆ WP6CharacterGroup_TableDefinitionOnSubGroup()

WP6CharacterGroup_TableDefinitionOnSubGroup::WP6CharacterGroup_TableDefinitionOnSubGroup | ( | librevenge::RVNGInputStream * | input,
|  | WPXEncryption * | encryption
| ) |  |

## Member Function Documentation

## ◆ parse()

void WP6CharacterGroup_TableDefinitionOnSubGroup::parse | ( | WP6Listener * | listener,
|  | const unsigned char | numPrefixIDs,
|  | unsigned short const * | prefixIDs
| ) |  | const
| overridevirtual

Implements WP6VariableLengthGroup_SubGroup.

## Member Data Documentation

## ◆ m_flags

unsigned char WP6CharacterGroup_TableDefinitionOnSubGroup::m_flags
| private

Referenced by WP6CharacterGroup_TableDefinitionOnSubGroup().

## ◆ m_leftOffset

unsigned short WP6CharacterGroup_TableDefinitionOnSubGroup::m_leftOffset
| private

Referenced by parse(), and WP6CharacterGroup_TableDefinitionOnSubGroup().

## ◆ m_position

unsigned char WP6CharacterGroup_TableDefinitionOnSubGroup::m_position
| private

Referenced by parse(), and WP6CharacterGroup_TableDefinitionOnSubGroup().

The documentation for this class was generated from the following files:

- WP6CharacterGroup.h
- WP6CharacterGroup.cpp